<template>
  <div class="tms-sidebar">
    <div class="tms-sidebar__item">
      <i :class="['icon', isTitleValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Введите название политики</span>
    </div>
    <div class="tms-sidebar__item">
      <i :class="['icon', isTypeValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Выберите тип квотирования</span>
    </div>
    <div class="tms-sidebar__item">
      <i :class="['icon', isDateValid ? 'checked' : 'alert']"></i>
      <span class="ob-order__status-label">Задайте период действия</span>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'titulSidebar',

    props: {
      rule: {
        type: Object,
        required: true
      }
    },

    computed: {
      isTitleValid() {
        return !!this.rule.titul.title.length;
      },

      isTypeValid() {
        return !!this.rule.titul.quotationType.length;
      },

      isDateValid() {
        return this.rule.titul.applyFromD && this.rule.titul.applyToD;
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>